## org.emboss.jemboss.gui.form
Class SetInFileCard

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.form.SetInFileCard

public class SetInFileCard
extends java.lang.Object

Constructor Summary
`SetInFileCard(javax.swing.JPanel sectionPane, int h, java.lang.String[] db, java.lang.String name, java.lang.String appName, InputSequenceAttributes[] inSeqAttr, boolean fopt)` Build the GUI components for an input sequence(s).

Method Summary
`void` `doReset()`
`java.lang.String[]` `getArrayListFile()`
`java.lang.String` `getCutNPasteText()`
`java.lang.String` `getFileChosen()`
`protected javax.swing.Box` `getInCard()`
`java.lang.String` `getListFile()`
`java.lang.String` `getSequence(int n)`
`boolean` `isCutNPase()`
`boolean` `isFileName()`
`boolean` `isListFile()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetInFileCard

    public SetInFileCard(javax.swing.JPanel sectionPane,
                         int h,
                         java.lang.String[] db,
                         java.lang.String name,
                         java.lang.String appName,
                         InputSequenceAttributes[] inSeqAttr,
                         boolean fopt)

  Build the GUI components for an input sequence(s).
  Parameters:
    `sectionPane` - acd section panel
    `h` - GUI handle
    `db` - database list
    `name` - for the file card
    `appName` - application name
    `inSeqAttr` - input sequence attributes
    `boolean` - true if list files allowed

Method Detail

### getInCard

    protected javax.swing.Box getInCard()

### isFileName

    public boolean isFileName()

  Parameters:
    `isFile` - true if selected to use a file name

### isCutNPase

    public boolean isCutNPase()

  Parameters:
    `isCut` - true if selected to use cut 'n paste text

### isListFile

    public boolean isListFile()

  Parameters:
    `isList` - true if selected to use list of filenames

### getFileChosen

    public java.lang.String getFileChosen()

  Parameters:
    `String` - file or database name

### getCutNPasteText

    public java.lang.String getCutNPasteText()

  Parameters:
    `String` - cut 'n pasted text

### getListFile

    public java.lang.String getListFile()

  Parameters:
    `String` - list of sequence filenames

### getArrayListFile

    public java.lang.String[] getArrayListFile()

  Parameters:
    `String[]` - list of sequence filenames

### getSequence

    public java.lang.String getSequence(int n)

  Parameters:
    `String` - list of sequence filename

### doReset

    public void doReset()